import { Base, Type } from "igniteui-angular-core";
import { ISupportSetProperty } from "./ISupportSetProperty";
import { List$1 } from "igniteui-angular-core";
import { ST_EntityType } from "./ST_EntityType";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
import { ElementPropertyIds } from "./ElementPropertyIds";
/**
 * @hidden
 */
export declare class CT_GeoChildEntitiesQuery extends Base implements ISupportSetProperty {
    static $t: Type;
    private c;
    constructor();
    a: List$1<ST_EntityType>;
    b: string;
    static e(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static f(a: XmlPartManagerBase, b: string, c: string): void;
    setProperty(a: ElementPropertyIds, b: any): void;
    toString(): string;
}
